Tspi_ChangeAuthAsym(3)

NAME
Tspi_ChangeAuthAsym - change the authorization data of an entity using asymmetric change protocol.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_ChangeAuthAsym(TSS_HOBJECT hObjectToChange, TSS_HOBJECT hParentObject,
                               TSS_HKEY    hIdentKey,       TSS_HPOLICY hNewPolicy);

DESCRIPTION

Tspi_ChangeAuthAsym changes the authorization data (secret) of an entity (object) utilizing the asymmetric change protocol and assigns the object to the policy object. All classes using secrets provide this method for changing their authorization data. This method changes the authorization data of an object ensuring that the parent of the object does not get knowledge of the new secret.

PARAMETERS

  hObjectToChange
Handle of the object the authorization data should be changed.

  hParentObject
Handle of the parent object wrapping the object addressed by hObjectToChange.

  hIdentKey
Handle of the identity key object required to proof the internally created temporary key.

  hNewPolicy
Handle of the policy object providing the new authorization data.

RETURN CODES

Tspi_ChangeAuthAsym returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - Either hObjectToChange, hParentObject, or hIdentKey is an invalid handle.

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_ChangeAuthAsym conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_ChangeAuth(3).